Main Page Widgets Namespaces Book

# uimanager.h File Reference

## Namespaces

namespace | Glib
namespace | Gtk

## Classes

class | Gtk::UIManager
| Constructing menus and toolbars from an XML description. More...

## Enumerations

enum

Gtk::UIManagerItemType {
Gtk::UI_MANAGER_AUTO = 0,
Gtk::UI_MANAGER_MENUBAR = 1 << 0,
Gtk::UI_MANAGER_MENU = 1 << 1,
Gtk::UI_MANAGER_TOOLBAR = 1 << 2,
Gtk::UI_MANAGER_PLACEHOLDER = 1 << 3,
Gtk::UI_MANAGER_POPUP = 1 << 4,
Gtk::UI_MANAGER_MENUITEM = 1 << 5,
Gtk::UI_MANAGER_TOOLITEM = 1 << 6,
Gtk::UI_MANAGER_SEPARATOR = 1 << 7,
Gtk::UI_MANAGER_ACCELERATOR = 1 << 8,
Gtk::UI_MANAGER_POPUP_WITH_ACCELS = 1 << 9
}

## Functions

UIManagerItemType | Gtk::operator& (UIManagerItemType lhs, UIManagerItemType rhs)
UIManagerItemType& | Gtk::operator&= (UIManagerItemType& lhs, UIManagerItemType rhs)
UIManagerItemType | Gtk::operator^ (UIManagerItemType lhs, UIManagerItemType rhs)
UIManagerItemType& | Gtk::operator^= (UIManagerItemType& lhs, UIManagerItemType rhs)
UIManagerItemType | Gtk::operator| (UIManagerItemType lhs, UIManagerItemType rhs)
UIManagerItemType& | Gtk::operator|= (UIManagerItemType& lhs, UIManagerItemType rhs)
UIManagerItemType | Gtk::operator~ (UIManagerItemType flags)